Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer
Class WSRPProducerImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.wsrp.producer.WSRPProducerImpl

All Implemented Interfaces:
  java.rmi.Remote, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, WSRP_v1_Markup_PortType, WSRP_v1_PortletManagement_PortType, WSRP_v1_Registration_PortType, WSRP_v1_ServiceDescription_PortType, WSRPProducer, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class WSRPProducerImpl

extends AbstractJBossService
implements WSRPProducer

Since:
  2.4
Version:
  $Revision: 11318 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.portal.wsrp.WSRPProducer
`DEFAULT_SESSION_EXPIRATION_TIME, INFINITE_SESSION_EXPIRATION_TIME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`WSRPProducerImpl()`

Method Summary
`PortletContext` | `clonePortlet(ClonePortlet clonePortlet)`
`ReturnAny` | `deregister(RegistrationContext deregister)`
`DestroyPortletsResponse` | `destroyPortlets(DestroyPortlets destroyPortlets)`
`ProducerConfigurationService` | `getConfigurationService()`
`PortletInvoker` | `getInvoker()`
`MarkupResponse` | `getMarkup(GetMarkup getMarkup)`
`PortletDescriptionResponse` | `getPortletDescription(GetPortletDescription getPortletDescription)`
`PortletDescription` | `getPortletDescription(PortletContext portletContext, java.lang.String[] locales, Registration registration)`
`PortletDescription` | `getPortletDescription(Portlet portlet, java.lang.String[] locales)`
`PropertyList` | `getPortletProperties(GetPortletProperties getPortletProperties)`
`PortletPropertyDescriptionResponse` | `getPortletPropertyDescription(GetPortletPropertyDescription getPortletPropertyDescription)`
`ProducerConfiguration` | `getProducerConfiguration()`
`ProducerRegistrationRequirements` | `getProducerRegistrationRequirements()`
`RegistrationManager` | `getRegistrationManager()`
`CookieProtocol` | `getRequiresInitCookie()` Indicates whether or not the Producer requires the Consumer to assist with cookie support of the HTTP protocol.
`ServiceDescription` | `getServiceDescription(GetServiceDescription gs)`
`int` | `getSessionExpirationTime()` Maximum number of seconds between invocations referencing a session ID before this Producer will schedule releasing the related resources.
`java.lang.String[]` | `getSupportedLocales()`
`ReturnAny` | `initCookie(InitCookie initCookie)`
`java.lang.Boolean` | `isRemotableByDefault()`
`RegistrationState` | `modifyRegistration(ModifyRegistration modifyRegistration)`
`BlockingInteractionResponse` | `performBlockingInteraction(PerformBlockingInteraction performBlockingInteraction)`
`RegistrationContext` | `register(RegistrationData register)`
`ReturnAny` | `releaseSessions(ReleaseSessions releaseSessions)`
`void` | `setInvoker(PortletInvoker invoker)`
`PortletContext` | `setPortletProperties(SetPortletProperties setPortletProperties)`
`void` | `setProducerConfiguration(ProducerConfiguration producerConfiguration)`
`void` | `setProducerConfigurationService(ProducerConfigurationService configurationService)`
`void` | `setRegistrationManager(RegistrationManager registrationManager)`
`void` | `setRemotableByDefault(java.lang.Boolean remotableByDefault)`
`void` | `setRequiresInitCookie(CookieProtocol requiresInitCookie)` Sets the level of cookie support required by the Consumer.
`void` | `setSessionExpirationTime(int sessionExpirationTime)` Sets the expiration time (in seconds) of session associated resources.
`void` | `setUseStrictMode(boolean strict)` Specifies whether conformance to WSRP specification should be strict or lenient (this can help when working with non-complying consumers).
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRPProducerImpl

    public WSRPProducerImpl()

Method Detail

### getProducerRegistrationRequirements

    public ProducerRegistrationRequirements getProducerRegistrationRequirements()

  Specified by:
    `getProducerRegistrationRequirements` in interface `WSRPProducer`
  Returns:

### getServiceDescription

    public ServiceDescription getServiceDescription(GetServiceDescription gs)
                                             throws InvalidRegistrationFault,
                                                    OperationFailedFault,
                                                    java.rmi.RemoteException

  Specified by:
    `getServiceDescription` in interface `WSRP_v1_ServiceDescription_PortType`
  Throws:
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### getMarkup

    public MarkupResponse getMarkup(GetMarkup getMarkup)
                             throws UnsupportedWindowStateFault,
                                    InvalidCookieFault,
                                    InvalidSessionFault,
                                    AccessDeniedFault,
                                    InconsistentParametersFault,
                                    InvalidHandleFault,
                                    UnsupportedLocaleFault,
                                    UnsupportedModeFault,
                                    OperationFailedFault,
                                    MissingParametersFault,
                                    InvalidUserCategoryFault,
                                    InvalidRegistrationFault,
                                    UnsupportedMimeTypeFault,
                                    java.rmi.RemoteException

  Specified by:
    `getMarkup` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `UnsupportedWindowStateFault`
    `InvalidCookieFault`
    `InvalidSessionFault`
    `AccessDeniedFault`
    `InconsistentParametersFault`
    `InvalidHandleFault`
    `UnsupportedLocaleFault`
    `UnsupportedModeFault`
    `OperationFailedFault`
    `MissingParametersFault`
    `InvalidUserCategoryFault`
    `InvalidRegistrationFault`
    `UnsupportedMimeTypeFault`
    `java.rmi.RemoteException`

### performBlockingInteraction

    public BlockingInteractionResponse performBlockingInteraction(PerformBlockingInteraction performBlockingInteraction)
                                                           throws InvalidSessionFault,
                                                                  UnsupportedModeFault,
                                                                  UnsupportedMimeTypeFault,
                                                                  OperationFailedFault,
                                                                  UnsupportedWindowStateFault,
                                                                  UnsupportedLocaleFault,
                                                                  AccessDeniedFault,
                                                                  PortletStateChangeRequiredFault,
                                                                  InvalidRegistrationFault,
                                                                  MissingParametersFault,
                                                                  InvalidUserCategoryFault,
                                                                  InconsistentParametersFault,
                                                                  InvalidHandleFault,
                                                                  InvalidCookieFault,
                                                                  java.rmi.RemoteException

  Specified by:
    `performBlockingInteraction` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `InvalidSessionFault`
    `UnsupportedModeFault`
    `UnsupportedMimeTypeFault`
    `OperationFailedFault`
    `UnsupportedWindowStateFault`
    `UnsupportedLocaleFault`
    `AccessDeniedFault`
    `PortletStateChangeRequiredFault`
    `InvalidRegistrationFault`
    `MissingParametersFault`
    `InvalidUserCategoryFault`
    `InconsistentParametersFault`
    `InvalidHandleFault`
    `InvalidCookieFault`
    `java.rmi.RemoteException`

### releaseSessions

    public ReturnAny releaseSessions(ReleaseSessions releaseSessions)
                              throws InvalidRegistrationFault,
                                     OperationFailedFault,
                                     MissingParametersFault,
                                     AccessDeniedFault,
                                     java.rmi.RemoteException

  Specified by:
    `releaseSessions` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `MissingParametersFault`
    `AccessDeniedFault`
    `java.rmi.RemoteException`

### initCookie

    public ReturnAny initCookie(InitCookie initCookie)
                         throws AccessDeniedFault,
                                OperationFailedFault,
                                InvalidRegistrationFault,
                                java.rmi.RemoteException

  Specified by:
    `initCookie` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `AccessDeniedFault`
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### register

    public RegistrationContext register(RegistrationData register)
                                 throws MissingParametersFault,
                                        OperationFailedFault,
                                        java.rmi.RemoteException

  Specified by:
    `register` in interface `WSRP_v1_Registration_PortType`
  Throws:
    `MissingParametersFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### deregister

    public ReturnAny deregister(RegistrationContext deregister)
                         throws OperationFailedFault,
                                InvalidRegistrationFault,
                                java.rmi.RemoteException

  Specified by:
    `deregister` in interface `WSRP_v1_Registration_PortType`
  Throws:
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### modifyRegistration

    public RegistrationState modifyRegistration(ModifyRegistration modifyRegistration)
                                         throws MissingParametersFault,
                                                OperationFailedFault,
                                                InvalidRegistrationFault,
                                                java.rmi.RemoteException

  Specified by:
    `modifyRegistration` in interface `WSRP_v1_Registration_PortType`
  Throws:
    `MissingParametersFault`
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### getProducerConfiguration

    public ProducerConfiguration getProducerConfiguration()

  Specified by:
    `getProducerConfiguration` in interface `WSRPProducer`
  Returns:

### setProducerConfiguration

    public void setProducerConfiguration(ProducerConfiguration producerConfiguration)

  Specified by:
    `setProducerConfiguration` in interface `WSRPProducer`

### getRegistrationManager

    public RegistrationManager getRegistrationManager()

  Specified by:
    `getRegistrationManager` in interface `WSRPProducer`
  Returns:

### setRegistrationManager

    public void setRegistrationManager(RegistrationManager registrationManager)

### setProducerConfigurationService

    public void setProducerConfigurationService(ProducerConfigurationService configurationService)

### getConfigurationService

    public ProducerConfigurationService getConfigurationService()

### setUseStrictMode

    public void setUseStrictMode(boolean strict)

  Description copied from interface: `WSRPProducer`
  Specifies whether conformance to WSRP specification should be strict or lenient (this can help when working with non-complying consumers).

  Specified by:
    `setUseStrictMode` in interface `WSRPProducer`
  Parameters:
    `strict` - `true` to be strict about WSRP conformance, `false` to allow for some flexibility in the validation of received WSRP data

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getPortletDescription

    public PortletDescriptionResponse getPortletDescription(GetPortletDescription getPortletDescription)
                                                     throws AccessDeniedFault,
                                                            InvalidHandleFault,
                                                            InvalidUserCategoryFault,
                                                            InconsistentParametersFault,
                                                            MissingParametersFault,
                                                            InvalidRegistrationFault,
                                                            OperationFailedFault,
                                                            java.rmi.RemoteException

  Specified by:
    `getPortletDescription` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `AccessDeniedFault`
    `InvalidHandleFault`
    `InvalidUserCategoryFault`
    `InconsistentParametersFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### clonePortlet

    public PortletContext clonePortlet(ClonePortlet clonePortlet)
                                throws InvalidUserCategoryFault,
                                       AccessDeniedFault,
                                       OperationFailedFault,
                                       InvalidHandleFault,
                                       InvalidRegistrationFault,
                                       InconsistentParametersFault,
                                       MissingParametersFault,
                                       java.rmi.RemoteException

  Specified by:
    `clonePortlet` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `InvalidUserCategoryFault`
    `AccessDeniedFault`
    `OperationFailedFault`
    `InvalidHandleFault`
    `InvalidRegistrationFault`
    `InconsistentParametersFault`
    `MissingParametersFault`
    `java.rmi.RemoteException`

### destroyPortlets

    public DestroyPortletsResponse destroyPortlets(DestroyPortlets destroyPortlets)
                                            throws InconsistentParametersFault,
                                                   MissingParametersFault,
                                                   InvalidRegistrationFault,
                                                   OperationFailedFault,
                                                   java.rmi.RemoteException

  Specified by:
    `destroyPortlets` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `InconsistentParametersFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### setPortletProperties

    public PortletContext setPortletProperties(SetPortletProperties setPortletProperties)
                                        throws OperationFailedFault,
                                               InvalidHandleFault,
                                               MissingParametersFault,
                                               InconsistentParametersFault,
                                               InvalidUserCategoryFault,
                                               AccessDeniedFault,
                                               InvalidRegistrationFault,
                                               java.rmi.RemoteException

  Specified by:
    `setPortletProperties` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `OperationFailedFault`
    `InvalidHandleFault`
    `MissingParametersFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `AccessDeniedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### getPortletProperties

    public PropertyList getPortletProperties(GetPortletProperties getPortletProperties)
                                      throws InvalidHandleFault,
                                             MissingParametersFault,
                                             InvalidRegistrationFault,
                                             AccessDeniedFault,
                                             OperationFailedFault,
                                             InconsistentParametersFault,
                                             InvalidUserCategoryFault,
                                             java.rmi.RemoteException

  Specified by:
    `getPortletProperties` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `InvalidHandleFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `AccessDeniedFault`
    `OperationFailedFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `java.rmi.RemoteException`

### getPortletPropertyDescription

    public PortletPropertyDescriptionResponse getPortletPropertyDescription(GetPortletPropertyDescription getPortletPropertyDescription)
                                                                     throws MissingParametersFault,
                                                                            InconsistentParametersFault,
                                                                            InvalidUserCategoryFault,
                                                                            InvalidRegistrationFault,
                                                                            AccessDeniedFault,
                                                                            InvalidHandleFault,
                                                                            OperationFailedFault,
                                                                            java.rmi.RemoteException

  Specified by:
    `getPortletPropertyDescription` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `MissingParametersFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `InvalidRegistrationFault`
    `AccessDeniedFault`
    `InvalidHandleFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### getRequiresInitCookie

    public CookieProtocol getRequiresInitCookie()

  Description copied from interface: `WSRPProducer`
  Indicates whether or not the Producer requires the Consumer to assist with cookie support of the HTTP protocol. Supported values and semantics:
  - `CookieProtocol.none`: The Producer does not need the Consumer to ever invoke `WSRP_v1_Markup_PortType.initCookie(org.jboss.portal.wsrp.core.InitCookie)`.
  - `CookieProtocol.perUser`: The Consumer MUST invoke `WSRP_v1_Markup_PortType.initCookie(org.jboss.portal.wsrp.core.InitCookie)` once per user of the Consumer, and associate any returned cookies with subsequent invocations on behalf of that user.
  - `CookieProtocol.perGroup`: The Consumer MUST invoke `WSRP_v1_Markup_PortType.initCookie(org.jboss.portal.wsrp.core.InitCookie)` once per unique groupID from the PortletDescriptions for the Portlets it is aggregating on a page for each user of the Consumer, and associate any returned cookies with subsequent invocations on behalf of that user targeting Portlets with identical groupIDs.

  Specified by:
    `getRequiresInitCookie` in interface `WSRPProducer`
  Returns:
    the level of cookie support required from the Consumer

### setRequiresInitCookie

    public void setRequiresInitCookie(CookieProtocol requiresInitCookie)

  Description copied from interface: `WSRPProducer`
  Sets the level of cookie support required by the Consumer.

  Specified by:
    `setRequiresInitCookie` in interface `WSRPProducer`
  Parameters:
    `requiresInitCookie` - either `CookieProtocol.none`, `CookieProtocol.perUser` or `CookieProtocol.perGroup`

### getSessionExpirationTime

    public int getSessionExpirationTime()

  Description copied from interface: `WSRPProducer`
  Maximum number of seconds between invocations referencing a session ID before this Producer will schedule releasing the related resources. `WSRPProducer.INFINITE_SESSION_EXPIRATION_TIME` indicates that the sessionID will never expire.

  Specified by:
    `getSessionExpirationTime` in interface `WSRPProducer`
  Returns:
    the expiration time (in seconds) of session associated resources

### setSessionExpirationTime

    public void setSessionExpirationTime(int sessionExpirationTime)

  Description copied from interface: `WSRPProducer`
  Sets the expiration time (in seconds) of session associated resources.

  Specified by:
    `setSessionExpirationTime` in interface `WSRPProducer`
  Parameters:
    `sessionExpirationTime` - the maximum number of seconds between invocations referencing a session ID before this Producer will schedule releasing the related resources. If `WSRPProducer.INFINITE_SESSION_EXPIRATION_TIME` is passed, then the session will never expire.

### getInvoker

    public PortletInvoker getInvoker()

### setInvoker

    public void setInvoker(PortletInvoker invoker)

### getPortletDescription

    public PortletDescription getPortletDescription(PortletContext portletContext,
                                                    java.lang.String[] locales,
                                                    Registration registration)
                                             throws InvalidHandleFault,
                                                    OperationFailedFault

  Throws:
    `InvalidHandleFault`
    `OperationFailedFault`

### getPortletDescription

    public PortletDescription getPortletDescription(Portlet portlet,
                                                    java.lang.String[] locales)

### isRemotableByDefault

    public java.lang.Boolean isRemotableByDefault()

### setRemotableByDefault

    public void setRemotableByDefault(java.lang.Boolean remotableByDefault)

### getSupportedLocales

    public java.lang.String[] getSupportedLocales()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD